calligra (1:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:04 +0000

calligra (1:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:12:45 +0000

calligra (1:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:57:49 +0000

calligra (1:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Nov 2025 17:00:59 +0000

calligra (1:25.08.3+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 09:13:27 +0000

calligra (1:25.08.2+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Oct 2025 08:45:53 +0100

calligra (1:25.08.1+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 08:32:24 +0100

calligra (1:25.08.0+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:32:16 +0100

calligra (1:25.07.90+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Jul 2025 07:04:35 +0100

calligra (1:25.07.80+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 09:44:48 +0100

calligra (1:25.04.3+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Jul 2025 15:30:02 +0100

calligra (1:25.04.2+dfsg-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current gear version of okular-dev.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 07:18:54 +0100

calligra (1:25.04.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Translation fixes.
  * New upstream release (25.04.2).
    - Fix launcher icons for stage and sheets.
    - Odf::decodeFormula: fix crash with decimal in formulas.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Jun 2025 00:03:16 +0200

calligra (1:25.04.2+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 10:33:29 +0100

calligra (1:25.04.1+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 May 2025 06:27:32 +0100

calligra (1:25.04.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 21:07:56 +0200

calligra (1:24.12.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update the patches:
    - upstream_appstream-fix-launchable-s-of-Sheets-and-Stage.patch: drop,
      backported from upstream
    - upstream_Ignore-calligra.desktop-for-AppStream.patch: drop, backported
      from upstream
    - upstream_sheets-fix-conflict-of-Value-int-and-Value-qsizetype.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Fri, 07 Mar 2025 07:27:11 +0100

calligra (1:24.12.2+dfsg-3) unstable; urgency=medium

  * Backport upstream commit 8ba3e637114c5d1a9e18e410c603382a246fb154 to fix
    the <launchable> tags in two AppStream XML metainfo files; patch
    upstream_appstream-fix-launchable-s-of-Sheets-and-Stage.patch.
  * Backport upstream commit 9c23040e41a6e02593bcc5501f9cd39ee248b804 to make
    AppStream ignore calligra.desktop; patch
    upstream_Ignore-calligra.desktop-for-AppStream.patch.
  * Replace patch qsizetype-overload.diff with the upstream commit
    c26259c424210066c19e953a6dda12a4529408a9; patch
    upstream_sheets-fix-conflict-of-Value-int-and-Value-qsizetype.patch.
  * Use the ${shlibs:Depends} substvar in calligra, now that it has
    architecture-specific content.
  * Add a simple upstream/metadata file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Feb 2025 12:38:49 +0100

calligra (1:24.12.2+dfsg-2) unstable; urgency=medium

  * Change the libqca-qt5-2-plugins recommend to libqca-qt6-plugins, following
    the switch to Qt 6.
  * Switch the calligra binary package to be archiecture-specific, and tighten
    its dependencies with the other binary packages; this is needed to add
    architecture-specific content to it.
  * Move calligralauncher and its files from calligra-libs to the calligra
    binary package, as it depends on all the components
    - add proper breaks/replaces
  * Remove the python, and ruby suggests from calligrasheets, as kross is gone.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 08:33:52 +0100

calligra (1:24.12.2+dfsg-1) unstable; urgency=medium

  [ Aurélien COUDERC]
  * Add lintian overrides for source-missing false positives.
  * Build with hardening=+all build hardening flag.

  [ Pino Toscano ]
  * New upstream release.
  * kdevelop is now part of the KDE release service, so switch the watch file
    to release-service locations.
  * Update the build dependencies following the port to Qt 6:
    - remove libkf5activities-dev, libkf5archive-dev, libkf5akonadi-dev,
      libkf5attica-dev, libkf5calendarcore-dev, libkf5codecs-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5contacts-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev,
      libkf5doctools-dev, libkf5guiaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
      libkf5kcmutils-dev, libkf5kdelibs4support-dev, libkf5khtml-dev,
      libkf5kio-dev, libkf5notifications-dev, libkf5notifyconfig-dev,
      libkf5parts-dev, libkf5sonnet-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, libphonon4qt5-dev, libphonon4qt5experimental-dev,
      libqca-qt5-2-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5x11extras5-dev,
      qtbase5-dev, qtdeclarative5-dev, and libpoppler-qt5-dev
    - add libkf6archive-dev, libkf6completion-dev, libkf6config-dev,
      libkf6configwidgets-dev, libkf6coreaddons-dev, libkf6crash-dev,
      libkf6dbusaddons-dev, libkf6doctools-dev, libkf6guiaddons-dev,
      libkf6i18n-dev, libkf6iconthemes-dev, libkf6itemviews-dev,
      libkf6jobwidgets-dev, libkf6kcmutils-dev, libkf6kio-dev,
      libkf6notifications-dev, libkf6notifyconfig-dev, libkf6sonnet-dev,
      libkf6textwidgets-dev, libkf6widgetsaddons-dev, libkf6windowsystem-dev,
      libkf6xmlgui-dev, libphonon4qt6-dev, libphonon4qt6experimental-dev,
      libpoppler-qt6-dev, libqca-qt6-dev, qt6-base-dev, and qt6-declarative-dev
  * Update the other build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - bump libkchart-dev to 3.0.0 (Closes: #1086480)
    - bump okular-dev to 4:24.04.0
    - bump libpoppler-private-dev to 22.02.0
    - add librevenge-dev, libssl-dev, qtkeychain-qt6-dev, and vc-dev
    - drop no more needed/used directly or indirectly: libboost-system-dev,
      libglib2.0-dev, libkproperty3-dev, libkreport3-dev, libspnav-dev,
      libx11-dev, and libxml2-dev
    - drop libgit2-dev, used only by the disabled Gemini
  * Switch the kf5 dh addon to kf6.
  * Update the patches:
    - upstream_Partial-update-of-Commit-62f51070-to-make-it-compile.patch: drop,
      backported from upstream
    - upstream_Fix-some-more-warnings.patch: drop, backported from upstream
    - upstream_Small-CMake-modernization.patch: drop, backported from upstream
    - upstream_Update-Cmake-and-deps-Fix-Freetype-and-FontConfig-Li.patch: drop,
      backported from upstream
    - upstream_Remove-old-std-c-11-setting-for-Vc.patch: drop, backported from
      upstream
    - upstream_Fix-compile-with-newer-versions-of-poppler.patch: drop,
      backported from upstream
    - upstream_Fix-compile-with-poppler-2405-or-higher.patch: drop, backported
      from upstream
    - upstream_Raise-minimum-poppler-version-to-0.83.0-cleaning-up-.patch: drop,
      backported from upstream
    - upstream_PdfImport-Fix-compile-with-newer-poppler.patch: drop, backported
      from upstream
    - upstream_PdfImport-Fix-compile-with-newer-poppler_2.patch: drop,
      backported from upstream
    - upstream_SvgOutputDev-Fix-ifdef-version-for-getFont-API-chang.patch: drop,
      backported from upstream
    - upstream_Make-KF5Kross-optional.patch: drop, backported from upstream
  * CI: temporarily disable the i386 build, as poppler-qt6 is not available
    there.
  * Drop -Wno-deprecated -Wno-deprecated-declarations from the CXXFLAGS,
    as there should be no more (or very few) deprecation warnings now.
  * Update install files. (Closes: #1091140)
  * Drop calligra-gemini, and calligra-gemini-data, as Gemini is hard disabled
    upstream. (Closes: #901432)
  * Stop enabling the "unmaintained products" (i.e. currently Braindump):
    considering how they are marked, and the fact that they are disabled by
    default, then it is a better idea to not enable them at all
    - drop the -DCALLIGRA_SHOULD_BUILD_UNMAINTAINED=ON cmake argument
  * Update lintian overrides.
  * Update the list of files to not be shipped (i.e. dropped from debian/tmp).
  * Add maintscript files to remove the old conffiles.
  * Use a pkg-kde-tools snippet to tighten the dependencies to calligra-libs,
    rather than doing it manually.
  * Make calligra build even on i386, where there is no poppler-qt6:
    - add the dh-exec, for architecture filtering in install files
    - exclude the libpoppler-qt6-dev build dependency on i386
    - tweak debian/karbon.install to not install the files for plugins using
      poppler
    - pass -DWITH_Poppler=OFF -DWITH_PopplerXPDFHeaders=OFF to cmake on i386,
      to make sure it is not even searched
  * Add a build fix for 32 bit architectures; patch qsizetype-overload.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Feb 2025 19:42:06 +0100

calligra (1:3.2.1+dfsg-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.0, no changes required.

  [ Andreas Hasenack ]
  * Add patch to fix build with poppler 24.06. (Closes: #1074386)

 -- Pino Toscano <pino@debian.org>  Mon, 19 Aug 2024 18:55:39 +0200

calligra (1:3.2.1+dfsg-8) unstable; urgency=medium

  * Disable the scripting feature, as it requires kross which is not maintained
    anymore:
    - backport upstream commit 919be830a4baa0b92a33d6a5736ad750e8fcb311 to make
      the Kross framework an optional build dependency; patch
      upstream_Make-KF5Kross-optional.patch
    - drop the kross-dev build dependency
    - stop shipping translations of kross modules
    - update install files
    - drop no more needed lintian overrides

 -- Pino Toscano <pino@debian.org>  Sat, 11 Nov 2023 08:42:42 +0100

calligra (1:3.2.1+dfsg-7) unstable; urgency=medium

  * Bump the libkf5doctools-dev build dependency to 5.103.0-2, so we get the fix
    for the kdoctools_install() cmake macro for source paths with special
    characters, such as the '+' in the current version
    - update install files accordingly
  * Update standards version to 4.6.2, no changes needed.
  * Drop general or old bits from README.source.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Mar 2023 22:46:51 +0100

calligra (1:3.2.1+dfsg-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 2bbbeb09f9d50f1952fd7f4020ca77a0c932d23b,
    upstream commit 236bacbe13739414e919de868283b0caf2df5d8a,
    upstream commit 6b75bec784c9835c78993349845d8c2ef22ec3de, and
    upstream commit 59eb4d2235b88408accf452421526b6f281cbab0 to fix the build
    with newer versions of Poppler; patches
    upstream_Raise-minimum-poppler-version-to-0.83.0-cleaning-up-.patch,
    upstream_PdfImport-Fix-compile-with-newer-poppler.patch,
    upstream_PdfImport-Fix-compile-with-newer-poppler_2.patch, and
    upstream_SvgOutputDev-Fix-ifdef-version-for-getFont-API-chang.patch
    (Closes: #1012846)
    - bump the required version of Poppler to 0.83.0 accordingly
    - add the libpoppler-qt5-dev build dependency
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Jul 2022 19:14:47 +0200

calligra (1:3.2.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 068cd9aec11052733e393976142516d2190e4564,
    upstream commit 2ac46db52c6ad401f67ae5b5fcd859a5872f0311,
    part of upstream commit 62f510702ef9c34ac50f8d8601a4290ab558464c,
    upstream commit 19584bed9588860047e3bd04e3fd2cf7e36adc3a, and
    upstream commit 2f220c6d1418ce7fa509e0dc598a67e66908cbd3 to fix the build
    with newer versions of ECM, C++, and Poppler; patches
    upstream_Fix-some-more-warnings.patch,
    upstream_Small-CMake-modernization.patch,
    upstream_Update-Cmake-and-deps-Fix-Freetype-and-FontConfig-Li.patch,
    upstream_Remove-old-std-c-11-setting-for-Vc.patch, and
    upstream_Fix-compile-with-newer-versions-of-poppler.patch.
    (Closes: #1007891)
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.
  * Update watch file to v4, no changes required.
  * Remove the commented calligraplan, kexi, and krita dependencies from the
    calligra metapackage, as they are no more part of Calligra now.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Mar 2022 11:47:04 +0100

calligra (1:3.2.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Remove the localized documentations of calligrasheets, and calligrastage:
    because of the dfsg repack, the build directory has a "+" in it, and the
    kdoctools_install() CMake macro of kdoctools cannot handle paths with it.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Sep 2021 10:27:37 +0200

calligra (1:3.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop the transitional packages calligra-reports-web-element, and all the
    calligra-l10n-*, no more needed after two Debian stable releases
    (Closes: #987452)
    - drop also the associated l10n breaks/replaces
    - drop the lintian source override for them
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Backport upstream commit c7636fb343c848000300a9429410b74d17a4d54d to fix
    build with newer CMake; patch
    upstream_Partial-update-of-Commit-62f51070-to-make-it-compile.patch
    - bump the cmake build dependency to 3.16 accordingly
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update install files.
  * Clean the color profiles (/usr/share/color/) from debian/tmp: they were
    already not shipped, and this simply make it clearer.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Sep 2021 09:23:42 +0200

calligra (1:3.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the qtdeclarative5-dev build dependency, as it was pulled
    by another package before. (Closes: #963421)
  * Stop exporting QT_SELECT=5 in rules, no more needed.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Jul 2020 11:24:41 +0200

calligra (1:3.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move python, and ruby from recommends of calligra-libs to suggests of
    calligrasheets: this because calligrasheets is the only application with
    python, and ruby scripts.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Fri, 15 May 2020 13:55:24 +0200

calligra (1:3.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Replace the transitional libfontconfig1-dev build dependency with
    libfontconfig-dev.
  * Drop the man pages, as they do not provide any useful content.
  * Switch the watch file back to stable releases.
  * Update the build dependencies according to the upstream build system:
    - bump libkchart-dev to 2.7.0
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch Vcs-Git back to the master packaging branch.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Apr 2020 13:25:56 +0200

calligra (1:3.1.90+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release (3.2.0 beta 1).
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11-missing-headers.patch: drop, backported
      from upstream
    - upstream_Fix-compilation-with-Qt-5.11-missing-include.patch: drop,
      backported from upstream
    - upstream_Fix-build-with-poppler-0.69.patch: drop, backported from upstream
    - upstream_Fix-build-with-poppler-0.64.patch: drop, backported from upstream
    - upstream_Mark-the-functions-as-override.patch: drop, backported from
      upstream
    - upstream_GBool-bool.patch: drop, backported from upstream
    - upstream_Fix-build-with-poppler-0.64-take-2.patch: drop, backported from
      upstream
    - upstream_Fix-build-with-poppler-0.71.patch: drop, backported from upstream
    - upstream_Guchar-unsigned-char.patch: drop, backported from upstream
    - upstream_Fix-GooString-not-having-getCString-anymore.patch: drop,
      backported from upstream
    - upstream_Fix-the-way-poppler-headers-are-included.patch: drop, backported
      from upstream
    - upstream_Fix-compilation-with-Qt-5.13-missing-include.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - remove no more used: libkf5akonadicontact-dev, libkf5holidays-dev, and
      libqt5webkit5-dev
  * Update install files.
  * Switch the watch file to the unstable releases for now.
  * Point Vcs-Git to the experimental packaging branch.
  * Drop the removal of files that are no more shipped.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Apr 2020 09:45:00 +0200

calligra (1:3.1.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Replace the monolithic patch poppler-0.71.patch with all the upstream
    commit, including the support for poppler 0.72+:
    - commit 56bd4bab320b0c0a893751caee9a15a2241e3ef8; patch
      upstream_Fix-build-with-poppler-0.69.patch
    - commit 3760bb3012456261024324e15598d1aefc611665; patch
      upstream_Fix-build-with-poppler-0.64.patch
    - commit fa4c2961b8280456d4c1484565b973d312e0bd1c; patch
      upstream_Mark-the-functions-as-override.patch
    - commit 82d68cebf870ac97fd27b626a08c3fb4dd94ea3e; patch
      upstream_GBool-bool.patch
    - commit 45559a470604bd9494d0832589411fc5b683b316; patch
      upstream_Fix-build-with-poppler-0.64-take-2.patch
    - commit f099b8e143bbeb1de3c7e89f4764006c3de61ae4; patch
      upstream_Fix-build-with-poppler-0.71.patch
    - commit a1ddd91e6c354e8f0dda40f8a522053c3fa19c39; patch
      upstream_Guchar-unsigned-char.patch
    - commit 4bf0add22d3945b90bee7d90432f5db59e06f928; patch
      upstream_Fix-GooString-not-having-getCString-anymore.patch
    - commit 464824279827b5188abd969ee754609c22f4e393; patch
      upstream_Fix-the-way-poppler-headers-are-included.patch
  * Replace the transitional libfreetype6-dev build dependency with
    libfreetype-dev.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Drop the migration from calligra-dbg, no more needed after two Debian
    stable releases.
  * Backport upstream commit 0c5430697bdcf41a45046107b28014e40c49a11a to build
    with newer KF; patch
    upstream_Fix-compilation-with-Qt-5.13-missing-include.patch.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop passing --list-missing to dh_missing, as it is the default
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Nov 2019 12:09:11 +0100

calligra (1:3.1.0+dfsg-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Rik Mills <rikmills@kubuntu.org> ]
  * debian/patches: Replace poppler-0.69.patch with poppler-0.71.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Jan 2019 13:40:11 +0100

calligra (1:3.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix build with new poppler 0.69.0-1 (Closes: #910873, Closes: #911502)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Oct 2018 10:28:51 +0200

calligra (1:3.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update few things in README.source.
  * Backport upstream commits a7ebecb9fbee2190e649c44ed53f1299013baa30, and
    ee83e0f2c251072e47a2799619cdc79efe67e651 to fix build with Qt >= 5.11;
    patches upstream_Fix-build-with-Qt-5.11-missing-headers.patch, and
    upstream_Fix-compilation-with-Qt-5.11-missing-include.patch.
    (Closes: #907013)

 -- Pino Toscano <pino@debian.org>  Wed, 05 Sep 2018 08:39:20 +0200

calligra (1:3.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --list-missing.
  * Bump the libkproperty3-dev, and libkreport3-dev build dependencies to
    >= 3.1.0~, to make sure to build against the newer versions of them.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:37:57 +0100

calligra (1:3.1.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies:
    - bump extra-cmake-modules to >= 5.19.0
    - add libgit2-dev, libkf5holidays-dev: used by the new release
    - add libkf5archive-dev, libx11-dev: already used, but installed by some
      other package
    - remove libkgantt-dev, and libpoppler-qt5-dev: no more used
  * Drop the braindump binary, since it is disabled upstream
    - do not ship its translations
  * Drop the calligraplan binary, since a newer version of it is going to be
    provided by a separate calligraplan source.
  * Drop from debian/tmp the stuff belonging to the unported calligraflow
    (they are not shipped, anyway).
  * Change priority of calligra-reports-web-element to optional (even if
    it is a transitional package), according to Policy §2.5.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Small updates to copyright.
  * Update the Homepage fields across all the packages:
    - use https for all the links
    - avoid duplicated calligra.org field
    - make sure calligrastage-data has the same Homepage as calligrastage
  * Minor updates to the watch file.
  * Update install files.
  * Bring back the calligra-gemini, and calligra-gemini-data packages.
  * Bring back the okular-backend-odp, and okular-backend-odt packages, as
    a KF5 version of Okular is available
    - uncomment the okular-dev build dependency, with the right version
    - ship again their translations
  * Move the translations to their own packages:
    - turn the calligra-l10n-* binaries into empty dummy packages
    - add proper breaks/replaces
    - remove calligra_shape_comment.mo, and calligra_shape_template.mo, as
      these shapes are not shipped
  * Update lintian overrides.
  * Fix a typo in the man page of calligrasheets.
  * Small changes in the man pages.
  * Regenerate the man pages from the rst sources.
  * Split calligrasheets-data out of calligrasheets.
  * Remove the khelpcenter in calligrawords, as there is no documentation.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Feb 2018 22:04:06 +0100

calligra (1:3.0.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Limit dh_gencontrol calls for l10n packages only when they are built.
  * Update lintian overrides.
  * Explicitly add the gettext build dependency.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Sep 2017 08:10:36 +0200

calligra (1:3.0.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - switches from Qt4 (using QtWebKit) to Frameworks (Closes: #784454)
  * Cleanup copyright from removed stuff, and other minor changes.
  * Bring the repack suffix back to "+dfsg".
  * Update the patches:
    - upstream_fix-arm-FTBFS.patch: drop, obsolete
    - upstream_Fix-compilation-of-PsCommentLexer.cpp-on-platforms-w.patch:
      drop, backported from upstream
    - libwps-0.4.patch: drop, applied upstream
    - no-planconvert-jar.patch: drop, obsolete
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, kdepimlibs5-dev, libattica-dev,
      libphononexperimental-dev, libpoppler-qt4-dev, libqca2-dev, libqt4-dev,
      libqt4-opengl-dev, and libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5opengl5-dev, libqt5svg5-dev,
      libqt5webkit5-dev, libqt5x11extras5-dev, libphonon4qt5-dev,
      libphonon4qt5experimental-dev, libkf5activities-dev, libkf5akonadi-dev,
      libkf5akonadicontact-dev, libkf5attica-dev, libkf5calendarcore-dev,
      libkf5codecs-dev, libkf5completion-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5contacts-dev, libkf5coreaddons-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5guiaddons-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5itemviews-dev,
      libkf5jobwidgets-dev, libkf5kcmutils-dev, libkf5kdelibs4support-dev,
      libkf5khtml-dev, libkf5kio-dev, libkf5notifications-dev,
      libkf5notifyconfig-dev, libkf5parts-dev, libkf5sonnet-dev,
      libkf5textwidgets-dev, libkf5wallet-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, libkf5xmlgui-dev, kross-dev, libkchart-dev,
      libkgantt-dev, libkproperty3-dev,  libkreport3-dev,  libpoppler-qt5-dev,
      and libqca-qt5-2-dev
  * Drop the calligraflow, calligraflow-data, calligraactive,
    calligra-semanticitems, calligraauthor, calligra-gemini, and
    calligra-gemini-data binaries, since all refer to unported/dropped
    stuff
    - remove symlinking done in calligra-gemini
  * Turn the calligra-reports-web-element package into a transitional package
    for libkreport3-plugin-web, which provides the equivalent component.
  * Disable the okular-backend-odp, and okular-backend-odt binaries, since
    there is no KF5 version of Okular in Debian currently
    - comment out the okular-dev build dependency
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Switch QT_SELECT to 5 in rules.
  * Update the flags passed to cmake:
    - replace -DKDE4_BUILD_TESTS=OFF with -DBUILD_TESTING=OFF, since it is the
      flag exported by ECM
    - remove -DBUILD_krita=OFF, and -DBUILD_kexi=OFF, as both the applications
      were removed upstream
    - add -DCALLIGRA_SHOULD_BUILD_UNMAINTAINED=ON, since for now we want to
      get also what upstream considers unmaintained; maybe this should be
      revised in the future
  * Update/rewrite the install files.
  * Adapt the job in override_dh_auto_install:
    - stop removing headers and cmake files, no more installed
    - adapt path (even if not installed currently) to the font (cmex10.ttf)
      to remove
  * Update lintian overrides.
  * calligraplan has no more Java parts, so:
    - drop the default-jdk build dependency
    - drop the default-jre, and libapache-poi-java recommends
    - drop the README.Debian for calligraplan
    - remove note about that in README.source
  * Replace the libqca2-plugins recommend with libqca-qt5-2-plugins.
  * Stop excluding kde-runtime, and kdepim-runtime from the shlibdeps of
    calligra-libs, as they are no more injected.
  * Remove x-test fake translations, to avoid accidentally pulling them
    anywhere.
  * Drop unneeded build dependencies:
    - libgit2-dev, libicu-dev, libpng-dev, libsoprano-dev, and libsqlite3-dev
  * Import the calligra-l10n-* binaries from src:calligra-l10n, along with the
    common package substvars
    - rename the substvars from ${calligra:foo} to ${l10n:foo}
    - this only covers the languages already shipped by calligra 2.9, that is
      29 languages out of 76; other languages will come in a later upload
    - add install files for all the binaries
    - remove mo files for stuff which is not shipped
  * Few more changes to README.source.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Aug 2017 18:54:14 +0200

calligra (1:2.9.11+dfsg1-1) unstable; urgency=low

  * Team upload.
  * Drop kexi entirely from this source, since a newer version of it is going
    to be provided by a separate kexi source:
    - bump version to +dfsg1
    - add the whole "kexi" subdirectory to the Excluded-Files, so it is
      removed from the repacked tarball (making it slightly smaller)
    - pass -DBUILD_kexi=OFF to cmake, to make sure it is not used
    - drop the kexi, kexi-data, kexi-calligrasheets-driver, kexi-mysql-driver,
      kexi-postgresql-driver, kexi-xbase-driver, kexi-sybase-driver, and
      kexi-web-form-widget binaries
    - comment out the kexi dependency in the calligra metapackage for now
    - drop the local kexi man pages
    - drop kexi bits from copyright
    - drop kexi bits from README.source
    - update install files
    - update the patches accordingly:
      - upstream_cmake-find-PostgreSQL-9.6.patch: drop, no more needed
      - add_keywords_to_desktop_files.patch: drop kexi bit
      - cmake-xbase64.patch: drop, no more needed
  * Drop unneeded build dependencies:
    - default-libmysqlclient-dev, freetds-dev, libpq-dev, libpqxx-dev,
      libxbase64-dev, postgresql-server-dev-all: used by kexi
    - libjpeg-dev: no more needed because of previous changes
  * Drop all the koffice & pre-Jessie conflicts/replaces/breaks.
  * Update watch file.
  * Disable the build of developer tools, which were not installed already
    in any binary package anyway:
    - pass -DBUILD_app_cstester=OFF -DBUILD_app_devtools=OFF to cmake
    - remove from debian/not-installed files now disappeared
  * Instead of ignoring the lyx fonts, and listing it in debian/not-installed,
    remove it from debian/tmp.
  * Drop TODO.Debian, all its content is obsolete.
  * Drop the transitional krita-gemini, already in Stretch.
  * Drop patch add_keywords_to_desktop_files.patch: it was never upstreamed,
    and some of the changes do not look correct to me.  If needed, the changes
    ought to be done upstream, so they can be properly reviewed, and
    translated too.
  * Update lintian overrides.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Minor changes to copyright: use https for the specification URL, and refer
    to the MPL-2.0 in common-licenses.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 14:18:39 +0200

calligra (1:2.9.11+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Create the symlink in calligra-gemini only when the package is built;
    fix arch-indep builds.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Oct 2016 23:32:39 +0200

calligra (1:2.9.11+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Backport upstream commit 843c41decfa85e351349f7a410893ac85c9d60b7 to find
    PostgreSQL 9.6; patch upstream_cmake-find-PostgreSQL-9.6.patch.
    (Closes: #840071)
  * Make calligra-gemini start: (Closes: #840243)
    - create a symlink in the non-multi-arch library directory to the
      multi-arch installation place, as the latter option is not handled by
      kdelibs 4.x
    - add the libqtwebkit-qmlwebkitplugin dependency, as the QtWebKit module
      is used

 -- Pino Toscano <pino@debian.org>  Mon, 10 Oct 2016 21:04:44 +0200

calligra (1:2.9.11+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop from calligra-data the two mimetype definitions msooxml-all.xml, and
    x-iwork-keynote-sffkey.xml, since shared-mime-info provides them already.
  * Remove unused calligra-map-shape.install.
  * Backport upstream commit 04d61e92515f19cbd2dbb0cc06d4340ba4514a8a to fix
    build on armel/armhf; patch upstream_fix-arm-FTBFS.patch.
  * Backport upstream commit 956bb80db4f300e4f8edeaf19d24fd61eb1932b2 to fix
    build on platforms where char is unsigned; patch
    upstream_Fix-compilation-of-PsCommentLexer.cpp-on-platforms-w.patch.
  * Update the patches:
    - add_keywords_to_desktop_files.patch: refresh
  * Update the build dependencies:
    - remove libglew-dev, and shared-desktop-ontologies: unused
    - add libxml2-dev, indirectly needed by the pkg-config files of
      libetonyek, and libvisio (it was not an issue, as the non-pkg-config
      way was then used)
  * Remove obsolete parts in README.source.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Sep 2016 11:05:45 +0200

calligra (1:2.9.11+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #787033)
  * The upload (with rebuild) should make all the binaries installable again.
    (Closes: #806454)

  [ Dmitry Smirnov ]
  * Added "debian/TODO.Debian".
  * Patchworks:
    - eigen3.patch
    - eigen3_in_tests
    - install_images_in_datadir
    - kisjpegtest_call_kisexiv2_initialize
    - switch-to-librevenge-based-import-libs.patch
    + no-planconvert-jar.patch
    * patches refreshed, sorted and renamed consistently ending with ".patch".
  * control:
    - dropped unnecessary versioned Build-Deps.
    - dropped "krita-sketch" package.
    + updated Vcs-Browser URL.
    + Standards-Version: 3.9.6.
    + turned "krita-gemini" into transitional package.
  * Build-Depends:
    + libboost-system-dev
    + postgresql-server-dev-9.4
    + libgit2-dev
  * rules: explicitly select QT4 to fix FTBFS.
  * calligra-libs.install:
    + liblibglobal.so.1*
    + liblibkispsd.so.1*
  * calligrawords.install:
    + libkoversion.so.1*
  * krita.install:
    + libkritacolor.so.1*
  * calligraplan: do not install "PlanConvert.jar" + patch.
  * Gemini:
    + Use fonts from "texlive-fonts-extra" instead of bundled ones.
    + Split Gemini arch-indep files into -data package.
  * Updated "package-name-doesnt-match-sonames" lintian-overrides.
  * Added "no-symbols-control-file" lintian-overrides.
  * Converted "debian/prune-nonfree" target to "copyright/Files-Excluded";
    Added "repacksuffix=+dfsg" to "debian/watch".
  * Copyright: complete rewrite.
  * Files-Excluded:
    + 3rdparty/google-breakpad
    + filters/libmso/generated/mso.jar
    + filters/plan/mpxj/planconvert/jar/PlanConvert.jar
  * watch: updated and corrected watch file.
  * Lintianisation:
    - xs-testsuite-header-in-debian-control

  [ Raúl Sánchez Siles ]
  * Refresh xbase64.diff patch
  * Refresh switch-to-librevenge-based-import-libs.patch

  [ Pino Toscano ]
  * watch file: ignore +dfsg suffix in Debian version number.
  * Exclude more stuff with the repack:
    - "windows" and "winquirks" subdirectories, as containing only material
      for Windows
  * Drop krita entirely from this source, since a newer version of it is going
    to be provided by a separate krita source:
    - add the whole "krita" subdirectory to the Excluded-Files, so it is
      removed from the repacked tarball (making it a lot smaller)
    - pass -DBUILD_krita=OFF to cmake, to make sure it is not used
    - drop the krita, and krita-data binaries
    - drop the removal of krita_ora.xml, since it is no more installed
    - drop paragraph about Vc in README.source
    - comment out the krita dependency in the calligra metapackage for now
    - drop the local krita man page
    - drop krita bits from copyright
    - update the patches accordingly:
      - add_keywords_to_desktop_files.patch: drop krita bit
      - cmake-set_kritasketch_lib_soversion.patch: drop, no more needed
      - filter_registry_not_a_singleton.patch: drop, no more needed
      - imports_search_path.patch: drop, no more needed
  * Drop old leftovers of krita-sketch package.
  * Update Vcs-* fields.
  * Drop unneeded build dependencies:
    - libexiv2-dev, libfftw3-dev, libkdcraw-dev, libopencolorio-dev,
      libopenjpeg-dev, libtiff-dev, and libxi-dev: used for krita only
      (Closes: #826808)
    - libkactivities-dev: the kde4 version is not useful anymore
    - libmarble-dev: it is Qt5 only now
      - drop kexi-map-form-widget and calligra-reports-map-element, since they
        are no more built (Closes: #818395)
    - nepomuk-core-dev: Nepomuk was phased out and removed already
  * Replace the libmysqlclient-dev with default-libmysqlclient-dev, so the
    default MySql implementation in Debian is used.
  * Replace deprecated libgsl0-dev build dependency with libgsl-dev.
  * Replace the postgresql-server-dev-9.4 build dependency with
    postgresql-server-dev-all: while the latter will install more packages,
    it also installs the -server-dev package of the default postgresql version
    in Debian.
  * Unconditionally remove the development stuff, since there is not going to
    be any -dev package at this point.
  * Remove calligra-dbg in favour of the -dbgsym packages.
  * Drop autopkgtests test suite run: a whole Calligra rebuild and run of the
    test suite is too long and heavy for the Debian CI, and generally not
    what autopkgtests is for. (Closes: #785653)
  * Update install files.
  * Stop using the sodeps dh addon, since there are no more -dev packages.
  * Update lintian overrides.
  * Replace all the khelpcenter4 suggests with khelpcenter.
  * Replace the libqca2-plugin-ossl recommend with libqca2-plugins.
  * Remove patch cmake-do_not_install_removed_files.patch, already not
    applied anymore.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Cleanups to copyright.
  * Tighten dependencies on calligra-libs, and kexi.

  [ Maximiliano Curia ]
  * Update homepage links. (Closes: #762305) Thanks to Julian Gilbey

  [ Adrien Grellier ]
  * new build dependency: libetonyek
  * install files has been forgotten
  * new binary packages:
     - okular-backend-odt
     - calligra-gemini

  [ Scott Kitterman ]
  * Add libsoprano-dev to build-depends since it is no longer transitively
    pulled in. (Closes: #797389)

 -- Pino Toscano <pino@debian.org>  Mon, 12 Sep 2016 06:22:49 +0200

calligra (1:2.8.5+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * oops, actually bump libwps build-dep to >= 0.4...

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Jun 2015 08:38:24 +0200

calligra (1:2.8.5+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * build against libwps 0.4.0 (closes: #788969)
  * add missing libetonyek-dev build-dependency

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Jun 2015 23:10:07 +0200

calligra (1:2.8.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #744291, #748990)

  [ Adrien Grellier ]
  * new dependency for krita: libxi-dev
  * refresh add_keywords_to_desktop_files.patch to work with 2.8
  * refresh eigen3.patch to work with 2.8
  * new package: calligra-semanticitems
  * update to Standards-Version 3.9.5 (no changes)
  * update copyright information for beta3
  * patch to build using xbase64, thanks Matthias Klose! (Closes: #746227)
  * move html2ods.so from calligrawords to calligrasheets, thanks shadeslayer!
  * update copyright information for calligra 2.8.5

  [ Pino Toscano ]
  * Add the pkg-config build dependency.
  * Update lintian overrides.
  * Remove the uninstalled man page of visualimagecompare, since that tool
    is not installed either.
  * Update install files.

  [ Raúl Sánchez Siles ]
  * Add libodfgen-dev and libopencolorio-dev build dependencies.
  * Update install files.
  * Update sonames in lintian-overrides.
  * Add calligra-semanticitems depends.
  * Adding lintian-overrides for krita-sketch.
  * Enable kpresenter to odp filter.

  [ Maximiliano Curia ]
  * Remove obsolete patch: pqxx_4_support.diff
  * Update build dependencies.
  * Add autopkgtests.
  * Refresh patches
  * New patch: eigen3_in_tests
  * New patch: disable_convolution_failling_tests
  * New patch: temporarily_disable_failing_tests
  * Update copyright file.
  * Re-enable krita-sketch and krita-gemini.
  * New patch: calligra_imports_search_path
  * New patch: set_kritasketch_lib_soversion
  * New patch: install_images_in_datadir
  * Bump libkdcraw and marble b-d, to help the kde4.12 transition.
  * Refresh patches for 2.8.5.
  * New patch: kisjpegtest_call_kisexiv2_initialize
  * New patch: filter_registry_not_a_singleton
  * New patch: channelFlags_logic_change
  * New patch: do_not_install_removed_files
  * Update install files for the repack version.
  * Add hspell dependency to the tests.
  * Update debian/copyright generation instructions, added a static part
    in copyright.tail for the things missed by lcheck.

  [ Rene Engelhard ]
  * Add patch to build against the new librevenge-based import libs and update
    build-dependencies. (Closes: #754568)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Aug 2014 16:49:01 +0200

calligra (1:2.7.5-1) unstable; urgency=low

  * New upstream release.
    - A new component appears: calligraactive
    - New import filter for calligraplan, based on Java MPXJ.
      See /usr/share/doc/calligraplan/README.Debian for using it.

  [ Adrien Grellier ]
  * update install files for calligra 2.7.1
  * update copyright file for calligra 2.7.1
  * build with libkactivites, as the version 6.1 is now in sid
  * build with libphononexperimental
  * update to my new official email address
  * split kexi to kexi-data for arch-indep files
  * patch to add keywords to desktop files
  * update lintian overrides

  [ Pino Toscano ]
  * Update .install files.
  * Specify the required version for libkactivities-dev.
  * Update watch file to look for .xz extension too.

  [ Maximiliano Curia ]
  * Migrate from eigen2 to eigen3, thanks to Anton Gladky. (Closes: #726643)
  * Add pqxx 4 support. (Closes: #730632)
  * Refresh patches.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Dec 2013 18:45:27 +0100

calligra (1:2.6.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Pino Toscano ]
  * Add calligraauthor to the calligra metapackage. (Closes: #710832)
  * Remove unused stuff of kthesaurus and calligramobile.
  * Remove koconverter man page, no such tool anymore.
  * Manually remove from debian/tmp all the things that are known to not be
    installed anywhere; this shortens the output of dh_install --list-missing.
  * Properly install the calligraconverter and kexi_sqlite3_dump man pages.
  * Add the nepomuk-core-dev build dependency, needed with KDE >= 4.9/4.10.
    (Closes: #717413) This effectively raises the minimum requirements to
    KDE 4.10.

  [ Adrien Grellier ]
  * Update installed files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 20 Jul 2013 13:59:37 -0300

calligra (1:2.6.3-2) unstable; urgency=low

  [ Adrien Grellier ]
  * calligrastage must depend on calligrastage-data
  * calligrastage-data: add a lintian override for
    desktop-command-not-in-package for calligrastage

  [ Pino Toscano ]
  * Make calligra-libs break/replace kexi < 1:2.6.1, and raise the
    calligra-data breaks/replaces wrt kexi to the same version (related to
    #704597).
  * Manually disable the unit tests; they are not enabled by default until
    kdelibs 4.9, while since 4.10 they are.
  * Update lintian overrides.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 29 May 2013 10:49:24 -0300

calligra (1:2.6.3-1) unstable; urgency=low

  [ Raúl Sánchez Siles ]
  * New upstream release.
  * fix lintian override for libkdgantt11 and libkowv2_9

  [ Adrien Grellier ]
  * Release Calligra 2.6.3 to unstable.
  * Make calligra-data Break/Replace kexi < 1:2.4 (Closes: #704597)
  * Add a manpage for calligraauthor, as requested by lintian
  * Add a manpage for calligraconverter
  * Add a manpage for kexi_sqlite3_dump
  * Add a Readme.source to document the Debian packaging
  * update to Standards-Version 3.9.4 (no changes)
  * create calligrastage-data, for arch-independant files
    (lintian: arch-dep-package-has-big-usr-share 7564kB 63%)
  * use canonical URI for VCS-* fields (lintian: vcs-field-not-canonical)
  * inherit « Section: kde » in the control file
    (lintian: binary-control-field-duplicates-source)
  * Copyright: removes lintian warning by adding the licenses paragraph
    missing

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make calligra-libs recommend libqca2-plugin-ossl for encryption
    (Closes: #705567).

 -- Adrien Grellier <adrien.grellier@laposte.net>  Fri, 24 May 2013 20:52:47 +0200

calligra (1:2.6.1-1) experimental; urgency=low

  [ Raúl Sánchez Siles ]
  * New upstream release
    - Removed do_not_link_blas.diff. Included upstream.
    - calligramobile and kthesaurus are removed
    - A new component appears : calligraauthor
    - Build Dep: Add libglib2.0-dev for kexi mdb migration
    - Build Dep: switch from libwmf to libvectorimage

 -- Adrien Grellier <adrien.grellier@laposte.net>  Sun, 03 Mar 2013 10:32:54 +0100

calligra (1:2.4.4-2) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.

  [ Adrien Grellier ]
  * Make calligrasheets break/replace koffice-data < 1:2.4. (Closes: #700667)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 20 Feb 2013 14:48:41 -0300

calligra (1:2.4.4-1) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.
  * Fix the previous changelog:
    - krita is the package that breaks/replaces krita-data.
    - Add the missing epochs.
    The changes were correctly done in the control file, the changes were just
    typos in the changelog. Thanks Thorsten Glaser for noticing.

  [ Adrien Grellier ]
  * Fix typo in calligrasheets package description (Closes: #697261)
  * Make calligrastage break/replace koffice-data < 1:2.4 (Closes: #699200)
  * New upstream bug fix release 2.4.4:
    General:
      - Update some translations
    Sheets:
      - A very nasty bug which made recalculations of spreadsheet
        contents go wrong under some circumstances (BUGS: 312981, 313010)
    Kexi:
      - Make palette background color property in text editor work (BUG: 309274)
      - Fix “data source tag” for text box (regression because of changes in
        KDE libraries’ line editor)
      - SQLite Driver: Fix possible data loss of compacted file (when process
        tools crash or fail for any reason)
      - Remove limit of 101 fields in Kexi Table Designer (BUG: 309116)
      - Fix MySql login failure when not saving password – fix for
        case 3.1 (BUG: 313025)
      - Fix possible crash when pressing tab in the global search box
  * Remove upstream_Make-sure-not-to-write-behind-the-allocated-memory.patch
    included upstream

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 09 Feb 2013 11:42:46 -0300

calligra (1:2.4.3-4) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.

  [ Pino Toscano ]
  * Make krita break/replace krita-data < 1:2.4. (Closes: #694854)
  * Make karbon break/replace koffice-data < 1:2.4. (Closes: #694855)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 15 Dec 2012 21:19:38 -0300

calligra (1:2.4.3-3) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.

  [ Pino Toscano ]
  * Make calligrawords-data conflict/replace old koffice-data.
    (Closes: #694397)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Nov 2012 18:34:10 -0300

calligra (1:2.4.3-2) unstable; urgency=low

  * Team upload.

  [ Adrien Grellier ]
  * Fix karbon: extra space for paragraph separation in the package
    description. (Closes: #679731)
  * Split the templates from calligra-data to the application's packages.
    (Closes: #682763)

  [ Pino Toscano ]
  * Backport upstream commit 7d72f7dd8d28d18c59a08a7d43bd4e0654043103 to fix
    a buffer overflow in the msword import filter (CVE-2012-3456); patch
    upstream_Make-sure-not-to-write-behind-the-allocated-memory.patch.
    (Closes: #684004)
  * Force the "kde" build system to dh_auto_configure, so the proper kdeinit
    handling is applied.
  * Fix description of krita to be within 80 columns.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 19 Aug 2012 15:06:46 -0300

calligra (1:2.4.3-1) unstable; urgency=low

  * Team upload.

  [ Raúl Sánchez Siles ]
  * New upstream release
    - Removed patch compile_on_arm.diff, included upstream.

  [ Eshat Cakar ]
  * Improve package descriptions, thanks to Justin B Rye (Closes: #679230)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 29 Jun 2012 14:32:59 +0200

calligra (1:2.4.2-3) unstable; urgency=low

  * Team upload

  [ Pino Toscano ]
  * Fix conflict/replaces with old koffice names. (Closes: #677085)
  * Make okular-backend-odp enhance okular.

  [ Sune Vuorela ]
  * Ensure we are using the new libmarble-dev (this can be relaxed later if
    needed)

 -- Sune Vuorela <sune@debian.org>  Fri, 22 Jun 2012 08:56:20 +0200

calligra (1:2.4.2-2) unstable; urgency=low

  * Pull a patch from upstream to make calligra build on arm (Closes: #676576)

 -- Sune Vuorela <sune@debian.org>  Mon, 04 Jun 2012 08:53:30 +0200

calligra (1:2.4.2-1) unstable; urgency=low

  [ Pino Toscano ]
  * New upstream release.
  * Update install files.
  * Update lintian overrides.
  * Convert copyright to copyright-format v1.0, and make it more compliant.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 May 2012 19:10:10 +0200

calligra (1:2.4.1-1) unstable; urgency=low

  * Team upload.

  [ Adrien Grellier ]
  [ Raúl Sánchez Siles ]
  [ Pino Toscano ]
  * Initial release. (Closes: #665903)

 -- Pino Toscano <pino@debian.org>  Sat, 26 May 2012 13:39:21 +0200
